/**
 * 3. parte de la 3. prctica de Programacin Concurrente
 * 
 * @author      Miguel ngel Latre Abada
 * @version     1, 5-2011
 */

package parte3;

import java.util.concurrent.locks.*;

/**
 * Los objetos de esta clase funcionan como un monitor que representa
 * una barbera
 */
public class Barberia {
   
   // Definicin de atributos de la barbera: datos enteros,
   // booleanos, cierres y condiciones   
   
   /**
    * Mtodo invocado slo por el barbero para llamar a un cliente que
    * est esperando o, si no hay clientes, dormirse hasta que llegue
    * uno cliente.
    * Informa (escribiendo en la pantalla), acerca de los siguientes
    * eventos: 
    *  - Se duerme porque no hay clientes por atender
    *  - Se despierta porque ha llegado un cliente
    * @throws InterruptedException
    */
   public void siguientePorFavor() throws InterruptedException {
   }
   
   /**
    * Mtodo invocados slo por el barbero para cobrar y dejar salir
    * a un cliente a quin acaba de cortar el pelo
    * @throws InterruptedException
    */
   public void servicioConcluido() throws InterruptedException { 
   }
   
   /**
    * Mtodo invocado slo por los clientes para entrar en la
    * barbera.
    * Informa (escribiendo en la pantalla), acerca de los siguientes
    * eventos: 
    *  - Se duerme porque tiene que esperar en una silla
    *  - Se despierta porque le ha llegado el turno de cortarse el
    *    pelo
    * @throws InterruptedException
    */
   public void cortemeElPelo() throws InterruptedException {
   }
}
