/**
 * 3. parte de la 3. prctica de Programacin Concurrente
 * 
 * @author      Miguel ngel Latre Abada
 * @version     1, 5-2011
 */

package parte3;

/**
 * Clase cuyos objetos representan un barbero, que puede ejecutarse en
 * su propio hilo de ejecucin. Su actividad consiste en iterar
 * realizando las siguientes tareas:
 *  - Llamar a un cliente que est esperando o, si no hay
 *    clientes, dormirse hasta que llegue un nuevo cliente.
 *  - Cortar el pelo al cliente. Invierte un tiempo aleatorio entre 0
 *    y 2 segundos en ello.
 *  - Cobrar y abrir la puerta al cliente.
 *  
 * Informa escribiendo mensajes en la pantalla acerca de los
 * siguientes eventos:
 *  - Comienza a cortar el pelo a un cliente
 *  - Termina de cortar el pelo
 */
public class Barbero implements Runnable {
   
   /**
    * Constante que define, en segundos, el tiempo mximo que tarda en
    * cortar el pelo 
    */
   private static final double TIEMPO_CORTE = 2;
   
   // Definicin de atributos
   
   /**
    * Construye un nuevo Barbero
    * @param barberia referncia a la barbera en la que trabaja este
    *                 barbero
    */
   Barbero(Barberia barberia) {
   }

   /**
    * Hace que este barbero itere realizando las siguientes tareas:
    *  - Llamar a un cliente que est esperando o, si no hay
    *    clientes, dormirse hasta que llegue un nuevo cliente.
    *  - Cortar el pelo al cliente. Invierte un tiempo aleatorio entre
    *    0 y 2 segundos en ello.
    *  - Cobrar y abrir la puerta al cliente.
    *  
    * Adems, en este mtodo, este barbero informa escribiendo
    * mensajes en la pantalla acerca de los siguientes eventos:
    *  - Comienza a cortar el pelo a un cliente
    *  - Termina de cortar el pelo
    *  
    *  El barbero termina de trabajar porque es interrumpido o porque
    *  lleva la cuenta del nmero de clientes atendidos y sabe cando
    *  no va a haber ms
    */
   public void run() {
   }
}
