/**
 * 3. parte de la 3. prctica de Programacin Concurrente
 * 
 * @author      Miguel ngel Latre Abada
 * @version     1, 5-2011
 */

package parte3;

/**
 * Los objetos de esta clase representan clientes de la barbera, que
 * pueden ejecutarse en un hilo de ejecucin propio.
 * Cada cliente, a partir del momento de su activacin, esperar fuera
 * un tiempo aleatorio de entre 0 y 60 segundos antes de entrar a la
 * barbera.
 * 
 * Los clientes informarn escribiendo mensajes en la pantalla acerca
 * de los siguientes eventos:
 *  - Entra a la barbera
 *  - Sale de la barbera
 */
public class Cliente implements Runnable {
   
   /**
    * Constante que establece, en segundos, el tiempo mximo de espera
    * antes de entrar en la barbera
    */
   private static final double TIEMPO_ENTRADA = 60;
   
   // Atributos

   /**
    * Construye un nuevo cliente
    * @param barberia Referencia a la barbera a la que va a acudir
    *                 este nuevo cliente
    */
   public Cliente(Barberia barberia) {
   }

   /**
    * Hace que este cliente realice su actividad:
    * 
    * Espera fuera de la barbera un tiempo aleatorio de entre 0 y 60
    * segundos antes de entrar a la misma
    * 
    * Informa escribiendo mensajes en la pantalla acerca
    * de los siguientes eventos:
    *  - Entra a la barbera
    *  - Sale de la barbera
    */
   public void run() {
   }
}
